using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class BarraPinchos : MonoBehaviour
{
    public float speed = 3f; // Velocidad de descenso

    void Update()
    {
        // Mover la barra hacia abajo
        transform.Translate(Vector3.down * speed * Time.deltaTime);

        // Destruir la barra si sale de la pantalla
        if (transform.position.y < -10f) // Ajusta el límite según tu diseño
        {
            Destroy(gameObject);
        }
    }
}
